<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);
$set['title'] ='База данных ';
include_once '../../sys/inc/thead.php';
title();
?>
<link rel="stylesheet" href="../style.css" type="text/css" />
<?

include "config.php";
$server="$_GET[server]";
echo "
<title>
$title
</title>
<link rel='stylesheet' type='text/css' href='style.css'>

<body bgcolor='silver'>
<div class='row3'>
База данных<br>
</div>
<div class='row3'>
<a href='area.php?server=$_GET[server]&do=createdb&login=$_GET[login]&pass=$_GET[pass]'>создать db</a>|<a href='area.php?server=$_GET[server]&do=sql&login=$_GET[login]&pass=$_GET[pass]'>сделать mysql запрос</a>|<a href='area.php?server=$_GET[server]&do=do_list&login=$_GET[login]&pass=$_GET[pass]'>действия</a><br>";
if($_GET['do']=="dblist")
{
echo "базы данных:<br></div><div class='row3'>";
include "db.php";
$res="show databases;";
$cat = mysql_query ($res);
if(!$cat) echo "ошибка MySQL!";
while(list($name) = mysql_fetch_row($cat))
{
$n1=$name;
$c="0";
$res1="show tables FROM $name;";
$cat1 = mysql_query ($res1);
if(!$cat1) echo "ошибка MySQL!";
while(list($name) = mysql_fetch_row($cat1))
{
$c=$c+1;
}
echo "<a href='area.php?server=$_GET[server]&do=listtables&dbname=$n1&login=$_GET[login]&pass=$_GET[pass]'>$n1($c)</a><br>";
}
echo "<br></div>";
}
else if($_GET['do']=="tabledl")
{
echo "таблица $_GET[table] в базе $_GET[db]:<br></div><div class='row3'>
<a href='area.php?server=$_GET[server]&do=sql&dx=te&login=$_GET[login]&pass=$_GET[pass]&table=$_GET[table]&db=$_GET[db]'>очистить таблицу</a><br>
<a href='area.php?server=$_GET[server]&do=sql&dx=dt&login=$_GET[login]&pass=$_GET[pass]&table=$_GET[table]&db=$_GET[db]'>удалить таблицу</a><br><br>
";
}
else if($_GET['do']=="listtables")
{
echo "база данных $_GET[dbname]:</div><div class='row3'>";
include "db2.php";
$res="show tables;";
$cat = mysql_query ($res);
if(!$cat) echo "ошибка MySQL!";
while(list($name) = mysql_fetch_row($cat))
{
$cx="0";
$n1="$name";
$query1 = "SELECT*FROM $n1";
$cat1 = mysql_query ($query1);
if(!$cat1) echo "ошибка MySQL!";
while(list($c) = mysql_fetch_row($cat1))
{
$cx=$cx+1;
}
echo "<a href='area.php?server=$_GET[server]&do=tabledl&table=$n1&db=$_GET[dbname]&login=$_GET[login]&pass=$_GET[pass]'>$n1($cx)</a><br>";
}
echo "<br></div>";
}
else if($_GET['do']=="sql")
{
$db_GP="";
if(empty($_GET['db']))
{
$db_GP="$_POST[db]";
}
else
{
$db_GP="$_GET[db]";
}
$text="";
$axe1="";
if($_GET['dx']=="edb")
{
$text="DATABASE $_POST[text];";
$axe1="100";
}
else if($_GET['dx']=="ddb")
{
$text="DROP DATABASE $_POST[text];";
}
else if($_GET['dx']=="te")
{
$text="DELETE FROM $_GET[table];";
}
else if($_GET['dx']=="dt")
{
$text="DROP TABLE $_GET[table];";
}
else if($_GET['dx']=="update")
{
$text="UPDATE $_POST[tbl] SET $_POST[ya]='$_POST[txt2]' WHERE $_POST[ya]='$_POST[txt]';";
}
else if($_GET['dx']=="del")
{
$text="DELETE FROM $_POST[tbl] WHERE $_POST[ya]='$_POST[txt]';";
}
else if(!empty($_GET['table']))
{
$text="//очистка таблицы $_GET[table]
DELETE FROM $_GET[table];
";
}
echo "sql запрос:<br></div><div class='row3'>
<form method='POST' action='area.php?server=$_GET[server]&do=sql2$axe1&login=$_GET[login]&pass=$_GET[pass]'>
<textarea name='text'>$text</textarea><br>
имя базы данных:<br>
<input type='text' name='db' value='$db_GP' size='15'><br>
<small>если не хотите использовать<br>
бд оставьте поле пустым<br></small>
<input type='submit' value='отправить'></form><br>
";
}
else if($_GET['do']=="sql2")
{
include "db3.php";
$sx="";
$ptext="$_POST[text]";
$sx=str_replace("/'","'",$ptext);
$sx=str_replace("\'","'",$sx);
$cat1x='$cat';
$sqlx='$sql';
$sqlx2='$sql="';
$sqlx2="$sqlx2$sx";
$sqlx3='"';
echo "sql запрос:<br></div><div class='row3'>";
$sql="$sx";
$cat1 = mysql_query ($sql);
if(!$cat1) echo "ошибка выполнения sql запроса!";
echo "SQL запрос выполнен!<br>";
echo "PHP код:<br><textarea name='text'><?php
$sqlx2$sqlx3;
$cat1x = mysql_query ($sqlx);
if(!$cat1x) echo $sqlx3 ошибка выполнения sql запроса!$sqlx3;
?>
</textarea><br>";
}
else if($_GET['do']=="createdb")
{
echo "создание db:<br></div><div class='row3'>
<form method='POST' action='area.php?server=$_GET[server]&do=cd&login=$_GET[login]&pass=$_GET[pass]'>
имя базы данных:<br>
<input type='text' name='text' value='$prefix' size='15'><br>
<input type='submit' value='создать'><br></form>
";
}
else if($_GET['do']=="cd")
{
include "db3.php";
$txt="$_POST[text]";
$txt2=";";
$txt3="$txt$txt2";
$cat1x='$cat';
$sqlx='$sql';
$sqlx2='$sql="';
$sqlx2="$sqlx2 CREATE DATABASE $txt3";
$sqlx3='"';
echo "sql запрос:<br></div><div class='row3'>";
$sql="CREATE DATABASE $txt3";
$cat1 = mysql_query ($sql);
if(!$cat1) echo "ошибка выполнения sql запроса!";
echo "SQL запрос выполнен!<br>";
echo "PHP код:<br><textarea name='text'><?php
$sqlx2$sqlx3;
$cat1x = mysql_query ($sqlx);
if(!$cat1x) echo $sqlx3 ошибка выполнения sql запроса!$sqlx3;
?>
</textarea><br>";
}
else if("$_GET[do]"=="do_list")
{
echo "действия:<br>
<a href='area.php?server=$_GET[server]&do=db_del&login=$_GET[login]&pass=$_GET[pass]'>удалить базу</a><br>
<a href='area.php?server=$_GET[server]&do=db_empty&login=$_GET[login]&pass=$_GET[pass]'>очистить базу</a><br>
<a href='area.php?server=$_GET[server]&do=tbl_update&login=$_GET[login]&pass=$_GET[pass]'>обновить базу</a><br>
<a href='area.php?server=$_GET[server]&do=tbl_del&login=$_GET[login]&pass=$_GET[pass]'>удалить базу</a><br><br>
";
//Bleik
}
else if($_GET['do']=="db_empty")
{
echo "очистка db:<br></div><div class='row3'>
<form method='POST' action='area.php?server=$_GET[server]&do=sql&dx=edb&login=$_GET[login]&pass=$_GET[pass]'>
имя базы данных:<br>
<input type='text' name='text' value='$prefix' size='15'><br>
<input type='submit' value='очистить'><br></form>
";
}
else if($_GET['do']=="db_del")
{
echo "удаление db:<br></div><div class='row3'>
<form method='POST' action='area.php?server=$_GET[server]&do=sql&dx=ddb&login=$_GET[login]&pass=$_GET[pass]'>
имя базы данных:<br>
<input type='text' name='text' value='$prefix' size='15'><br>
<input type='submit' value='удалить'><br></form>
";
}
else if($_GET['do']=="tbl_update")
{
echo "обновление записи:<br></div><div class='row3'>
<form method='POST' action='area.php?server=$_GET[server]&do=sql&dx=update&login=$_GET[login]&pass=$_GET[pass]'>
имя базы данных:<br>
<input type='text' name='db' value='$prefix' size='15'><br>
имя таблицы:<br>
<input type='text' name='tbl' value='' size='15'><br>
ячейка:<br>
<input type='text' name='ya' value='' size='15'><br>
значение ячейки:<br>
<input type='text' name='txt' value='' size='15'><br>
новое значение:<br>
<input type='text' name='txt2' value='' size='15'><br>
<input type='submit' value='обновить'><br></form>
";
}
else if($_GET['do']=="tbl_del")
{
echo "удалить запись:<br></div><div class='row3'>
<form method='POST' action='area.php?server=$_GET[server]&do=sql&dx=del&login=$_GET[login]&pass=$_GET[pass]'>
имя базы данных:<br>
<input type='text' name='db' value='$prefix' size='15'><br>
имя таблицы:<br>
<input type='text' name='tbl' value='' size='15'><br>
ячейка:<br>
<input type='text' name='ya' value='' size='15'><br>
значение ячейки:<br>
<input type='text' name='txt' value='' size='15'><br>
<input type='submit' value='удалить'><br></form>
";
}
else if($_GET['do']="sql2100")
{
include "db3.php";
$sx="";
$ptext="$_POST[text]";
$sx=str_replace("/'","'",$ptext);
$sx=str_replace("\'","'",$sx);
$cat1x='$cat';
$sqlx='$sql';
$sqlx2='$sql="';
$sqlx2="$sqlx2$sx";
$sqlx3='"';
echo "sql запрос:<br></div><div class='row3'>";
$sql="$sx";
$cat1 = mysql_query ("DROP $sql");
if(!$cat1) echo "ошибка выполнения sql запроса!";
echo "SQL запрос выполнен!<br>";
$cat2 = mysql_query ("CREATE $sql");
if(!$cat2) echo "ошибка выполнения sql запроса!";
echo "SQL запрос выполнен!<br>";
echo "PHP код:<br><textarea name='text'><?php
$sqlx2$sqlx3;
$cat1x = mysql_query ($sqlx);
if(!$cat1x) echo $sqlx3 ошибка выполнения sql запроса!$sqlx3;
?>
</textarea><br>";
}
echo "<div class='row3'>
<a href='area.php?server=$_GET[server]&login=$_GET[login]&pass=$_GET[pass]&do=dblist'>на главную</a>|<a href='$_SERVER[HTTP_REFERER]'>назад</a>|<a href='index.php'>выход</a></div>
</div>
<div class='row3'>$copy</div>
";echo '<div class="foot">Разработчик: BleIK</div>';
include_once '../../sys/inc/tfoot.php';
?>